Skip to main content
POST
/
v2
/
dm
/
status
Check DM Permissions (V2)
curl --request POST \
  --url https://api.twexapi.io/v2/dm/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  "<string>"
]'
{
  "code": 123,
  "msg": "<string>",
  "data": [
    {
      "user_id": "<string>",
      "screen_name": "<string>",
      "is_blue_verified": true,
      "is_verified_organization_affiliate": true,
      "verified": true,
      "can_dm": true,
      "can_dm_on_xchat": true,
      "dm_blocking": true,
      "passes_premium_check": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Examples:

"1696160451770429440"

"elonmusk"

Response

An object mapping user identifiers to their respective DM reachability status.

code
integer
required

The status code of the response.

msg
string
required

The message of the response.

data
DMStatusModelV2 · object[]
required

A list of DM status objects.